#include <Wire.h>
#include "OLED.h"
#include <DHT.h>
#include <Adafruit_Sensor.h>
#define DHTPIN 2        // what digital pin we're connected to

//Selezionare il proprio sensore
//#define DHTTYPE DHT11   // DHT 11
//#define DHTTYPE DHT21   // DHT 21
#define DHTTYPE DHT22   // DHT 22

DHT dht(DHTPIN, DHTTYPE);
OLED display(14, 12);
 

void setup( ){
Serial.begin( 115200);
dht.begin(); 
display.begin();
//display.print("Hello World");
}
void loop( )
{
 float h = dht.readHumidity();
 float t = dht.readTemperature(); // Read temperature as Celsius (the default)
 float f = dht.readTemperature(true); // Read temperature as Fahrenheit (isFahrenheit = true)
 if (isnan(h) || isnan(t) || isnan(f)) {
   Serial.println("Failed to read from DHT sensor!");
   return;
 }
    Serial.print( "Temperature (C)= " );
    Serial.print( t);
    Serial.print( " - Temperature (F)= " );
    Serial.print( f);
    Serial.print( " - Humidity = " );
    Serial.print( h);
    Serial.println( "%" );
    //display.clear();
    display.print("Temp. & humidity");
    display.print("Humid.:",2,0);
    char charh[10];                
    dtostrf(h, 3, 2, charh);
    display.print(charh,2,8);
    display.print("%",2,14);
    char chart[10];      
    display.print("Temp.:",4);          
    dtostrf(t, 3, 2, chart);
    display.print(chart,4,8);
    display.print("C",4,14);
    char charf[10];      
    display.print("Temp.:",6);          
    dtostrf(f, 3, 2, charf);
    display.print(charf,6,8);
    display.print("F",6,14);
    
    delay(500);
  }
 
